Page MenuHomePhabricator

PHP Strict Standards issues
Closed, ResolvedPublic

Description

  • PHP Strict Standards: Declaration of BitmapHandler::formatMetadata() should be compatible with that of MediaHandler::formatMetadata() in /var/www/w/includes/media/Bitmap.php on line 305
  • PHP Strict Standards: Declaration of ImageHandler::getDimensionsString() should be compatible with that of MediaHandler::getDimensionsString() in /var/www/w/includes/media/Generic.php on line 409
  • PHP Strict Standards: Declaration of LocalFile::delete() should be compatible with that of File::delete() in /var/www/w/includes/filerepo/LocalFile.php on line 27
  • PHP Strict Standards: Declaration of LocalFile::purgeCache() should be compatible with that of File::purgeCache() in /var/www/w/includes/filerepo/LocalFile.php on line 27
  • PHP Strict Standards: Declaration of Image::newFromTitle() should be compatible with that of LocalFile::newFromTitle() in /var/www/w/includes/filerepo/LocalFile.php on line 1037

Should probably be fixed sometime.


Version: 1.12.x
Severity: trivial

Details

Reference
bz12202

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:01 PM
bzimport set Reference to bz12202.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Dec 4 2007, 11:37 PM

Two more:

PHP Strict Standards: Declaration of LanguageKk::convertGrammar() should be compatible with that of LanguageKk_cyrl::convertGrammar() in /var/www/w/languages/classes/LanguageKk.php on line 317

PHP Strict Standards: Declaration of LanguageKk_cyrl::convertGrammar() should be compatible with that of Language::convertGrammar() in /var/www/w/languages/classes/LanguageKk_cyrl.php on line 732

ayg wrote:

Yes, this always annoys me.

Add one (obtained from ialex): Non-static method ExternalStore::fetchFromURL() should not be called statically in /Library/WebServer/Documents/phase3/includes/Revision.php on line 586

The 2 notices for LanguageKk have been resolved.

ayg wrote:

Fixed the ExternalStore one in r29790, and four of the five remaining in r29791. The Image::newFromTitle() one doesn't appear to be so easily fixable.

Currently open:

  • PHP Strict Standards: Declaration of NewPagesPage::preprocessResults() should be compatible with that of QueryPage::preprocessResults() in /var/www/w/includes/SpecialNewpages.php on line 20
  • PHP Strict Standards: Declaration of Image::newFromTitle() should be compatible with that of LocalFile::newFromTitle() in /var/www/w/includes/filerepo/LocalFile.php on line 1090
IAlex added a comment.Feb 2 2008, 5:34 PM

Created attachment 4609
patch for includes/SpecialNewpages.php

patch that resolve the Strict Standart issue in Special:Newpages

Attached:

PHP Strict Standards: Declaration of SpecialMostlinkedtemplates::preprocessResults() should be compatible with that of QueryPage::preprocessResults() in /var/www/w/includes/SpecialMostlinkedtemplates.php on line 10

2 issues resolved in r30781, and r30782.

Currently open:

  • PHP Strict Standards: Declaration of Image::newFromTitle() should be compatible with that of LocalFile::newFromTitle() in /var/www/w/includes/filerepo/LocalFile.php on line 1090

Update:

  • PHP Strict Standards: Declaration of OldLocalFile::newFromTitle() should be compatible with that of LocalFile::newFromTitle() in /var/www/w/includes/filerepo/OldLocalFile.php on line 259
  • PHP Strict Standards: Declaration of Image::newFromTitle() should be compatible with that of LocalFile::newFromTitle() in /var/www/w/includes/filerepo/LocalFile.php on line 1096

Last two fixed by ialex in r32810.